<bugID>1299154<Summary>Add Set/GetOverrideDPPX to docShell's RestoreFromHistory</Summary><Description>In bug 1241867 we added a way to override the dppx of the contentViewer without affecting the rendering. However, we missed one place that prevent to transfer the settings from the old contentViewer to the new one. That is important for bug 1254385, since the user &#8211; once has selected a device &#8211; could also navigate the page or reload it.

Also, it should be done for consistency (e.g. FullZoom)</Description></bugID>